/* 
	Alle Eintraege im dbm file loeschen. Dieses Programm muss
	von ip-down aufgerufen werden.


*/

#include <stdio.h>
#include <gdbm.h>
#include <errno.h>

/* Edit path to DBM file where the active hosts are stored
   This must be identical to the setting in index.php4 !
*/
#define PPP_HOST_DB "/var/spool/www/pppusers.dbm"

int main() {
   GDBM_FILE db;
   datum akey, temp;
   int cont;


   db = gdbm_open("PPP_HOST_DB",1024,GDBM_WRITER,0666,NULL);
   if (errno > 0) { printf("Failed to open dbm File.\n"); exit(1); };

   cont = 1;
   akey = gdbm_firstkey(db);
   while (cont) {
      gdbm_delete(db,akey);
      temp = gdbm_fetch(db,akey);
      printf("%s: %s\n",akey.dptr,temp.dptr); 
      akey = gdbm_nextkey(db,akey);
      if (akey.dptr == NULL) { cont = 0; };
   }
   
   
   gdbm_close(db);
}
