<html>
<script language="PHP">
#################################################################
# Start User configurable part
$PPP_HOST_DB = "/var/spool/www/pppusers.dbm";
$HOSTNAME = "McFly.felshaldenweg.net";
# End user configurable part
#################################################################

# Message map
$MESSAGES["MSG_TITLE"]["DE"] = "Verbinden mit dem Internet";
$MESSAGES["MSG_TITLE"]["EN"] = "Connect to the internet";
$MESSAGES["MSG_PAGE_TITLE"]["DE"] = "Internetverbindung auf ";
$MESSAGES["MSG_PAGE_TITLE"]["EN"] = "Internet Connection on ";
$MESSAGES["MSG_CURRENT_STATE"]["DE"] = "Momentaner Zustand der Verbindung:";
$MESSAGES["MSG_CURRENT_STATE"]["EN"] = "Current state of PPP link:";
$MESSAGES["MSG_PPP_ACTIV"]["DE"] = "Die PPP Verbindung ist aktiv";
$MESSAGES["MSG_PPP_ACTIV"]["EN"] = "The PPP link is active";
$MESSAGES["MSG_PPP_INACTIV"]["DE"] = "Die PPP Verbindung ist nicht aktiv";
$MESSAGES["MSG_PPP_INACTIV"]["EN"] = "The PPP link is not active";
$MESSAGES["MSG_ACTIVE_SINCE"]["DE"] = "Im Internet seit ";
$MESSAGES["MSG_ACTIVE_SINCE"]["EN"] = "online since ";
$MESSAGES["MSG_ACTIVE_HOSTS"]["DE"] = "Auf folgenden Rechnern wird zur Zeit "
				    . "Internet gebraucht:";
$MESSAGES["MSG_ACTIVE_HOSTS"]["EN"] = "The following hosts are currently "
				    . "using Internet:";
$MESSAGES["MSG_NO_HOST"]["DE"] = "Momentan braucht kein Rechner Internet";
$MESSAGES["MSG_NO_HOST"]["EN"] = "At the moment, no host is using Internet";
$MESSAGES["MSG_PPP_ACTIVATED"]["DE"] = "Die Verbindung wird aktiviert. Einen " 
				    .  "Moment bitte..  <br>\n" 
				    .  "Klicke \"refresh\", um zu pr&uuml;fen, "
				    .  "ob der Vorgang bereits beendet ist" 
			 	    .  "<br>\n";
$MESSAGES["MSG_PPP_ACTIVATED"]["EN"] = "The link is being activated. " 
				    .  "Please hold on ...  <br>\n" 
				    .  "Click \"refresh\" to verify the "
				    .  "progress of the action" 
			 	    .  "<br>\n";
$MESSAGES["MSG_HOST_ADDED1"]["DE"] = "Dein Rechner mit IP-Adresse ";
$MESSAGES["MSG_HOST_ADDED1"]["EN"] = "Your host with IP ";
$MESSAGES["MSG_HOST_ADDED2"]["DE"] = " wird in die Liste der Internet "
				   . "nutzenden Rechnern aufgenommen.";
$MESSAGES["MSG_HOST_ADDED2"]["EN"] = " is being added to the list of hosts "
				   . " using Internet.";
$MESSAGES["MSG_HOST_REMOVED1"]["DE"] = "Dein Rechner mit IP-Adresse ";
$MESSAGES["MSG_HOST_REMOVED1"]["EN"] = "Your host with IP "; 
$MESSAGES["MSG_HOST_REMOVED2"]["DE"] = " wurde von der Liste der Internet "
				    . "nutzenden Rechnern entfernt.";
$MESSAGES["MSG_HOST_REMOVED2"]["EN"] = " has been removed from the list of "
				    . " host using internet.";
$MESSAGES["MSG_PPP_CLOSED"]["DE"] = "Die Verbindung wird von keinem Rechner "
				  . "mehr ben&ouml;tigt und wird getrennt. "
				  . "Einen Moment bitte...";
$MESSAGES["MSG_PPP_CLOSED"]["EN"] = "No host is using internet anymore. "
				  . "The link is shut down. "
				  . "Just a moment please...";
$MESSAGES["MSG_PPP_USED1"]["DE"] = "Die Verbindung wird noch von ";
$MESSAGES["MSG_PPP_USED1"]["EN"] = "The link is still used by ";
$MESSAGES["MSG_PPP_USED2"]["DE"] = " anderen Rechnern ben&ouml;tigt";
$MESSAGES["MSG_PPP_USED2"]["EN"] = " other hosts";
$MESSAGES["MSG_NEED_PPP_TOO"]["DE"] = "Ich brauche Internet auch";
$MESSAGES["MSG_NEED_PPP_TOO"]["EN"] = "I need Internet too";
$MESSAGES["MSG_NEED_PPP"]["DE"] = "Ich brauche Internet";
$MESSAGES["MSG_NEED_PPP"]["EN"] = "I need Internet";
$MESSAGES["MSG_DONTNEED_PPP"]["DE"] = "Ich brauche Internet nicht mehr";
$MESSAGES["MSG_DONTNEED_PPP"]["EN"] = "I don't need Internet anymore";

# Get language from URL Parameter. Default is German (DE)
if (!$lang) { $lang = "DE"; };
$LANGUAGE = strtoupper($lang); 
if ($LANGUAGE != "DE" AND $LANGUAGE != "EN") {
  print "<head><title>Error: illegal language</title></head>\n";
  print "<body bgcolor=\"#FFFFFF\">\n<center><font color=Red>"
      . "Error: illegal language </center></font>\n";
  exit;

}

print "<head><title>" . $MESSAGES["MSG_TITLE"][$LANGUAGE] . "</title></head>\n";
print "<body bgcolor=\"#FFFFFF\">\n";
print "<center><h3>" . $MESSAGES["MSG_PAGE_TITLE"][$LANGUAGE] .
       $HOSTNAME . "</h3></center>\n<br><br>\n";

    print "<center>\n";
    #
    #  Print information about current PPP status
    #
    print "<table bgcolor=\"#ededfe\" cellpadding=10>\n" .
	  "<tr>\n" .
	  " <td><h4>" . $MESSAGES["MSG_CURRENT_STATE"][$LANGUAGE] 
	. "</h4><br>\n";
    $status_file = fopen("http://" . $HOSTNAME . "/cgi-bin/ppp-status.pl","r");
    $ppp_status = trim(fread($status_file,100));
    if ($ppp_status == "aktiv") {
	print "<font color=Green><h4>" . $MESSAGES["MSG_PPP_ACTIV"][$LANGUAGE] .
              "</h4> </font>\n";
    } else {
	print "<font color=Red><h4>" . $MESSAGES["MSG_PPP_INACTIV"][$LANGUAGE] .
	      "</h4></font>\n";
    }
    print     "</td>\n" .
	      "</tr>\n"  .
	      "</table><P>\n" .
           "</center>\n";


    $db = $PPP_HOST_DB;

    function list_ppp_users($ppp_users_db,$active_msg) {
        $user = dbmfirstkey($ppp_users_db);
	while ($user) {
	   print gethostbyaddr($user) . " (" . $user . "): ";
	   print $active_msg . " " .
	     dbmfetch($ppp_users_db, $user) . "<br>";
	   $user = dbmnextkey($ppp_users_db, $user);
	}
    };

    function delete_ppp_user($ppp_users_db, $user) {
	return dbmdelete($ppp_users_db, $user);
    };

    function insert_ppp_user($ppp_users_db,$user) {
	if (dbmfetch($ppp_users_db, $user) == "") {
           $result = dbmreplace($ppp_users_db,$user,date("d. F Y  G:i:s"));
	} else {
	   $result = 0;
	};
 	return $result;
    };

    function count_ppp_user($ppp_users_db) {
	$count = 0;
        $user = dbmfirstkey($ppp_users_db);
	while ($user) {
	   $count++;
	   $user = dbmnextkey($ppp_users_db, $user);
	}
	return $count;
    };

    # dbmopen mode "create" loescht eine existierende DB nicht.
    # Falls keine existiert, wird eine Neue angelegt.
    $ppp_users = dbmopen($db,"c");
    if ($ppp_users < 0) { 
	print "Database open failed"; 
	exit(1); 
    };

      if (count_ppp_user($ppp_users) > 0) {
 	print "<center>\n";
        #
        #  Information about which computers are using internet
        #
        print "<P><B>" . $MESSAGES["MSG_ACTIVE_HOSTS"][$LANGUAGE] .
	      "</B></P>\n";
        list_ppp_users($ppp_users,$MESSAGES["MSG_ACTIVE_SINCE"][$LANGUAGE]);
 	print "</center>\n";
        print "<P>\n";
      } else {
 	print "<center>\n";
	#
	#  Information that no computer is currently using internet
	#
	#
	print "<P><I><B>" . $MESSAGES["MSG_NO_HOST"][LANGUAGE] .
	      "</B></I><br>\n";
 	print "</center>\n";
      };

   if ($action == "start") {
    $ip = trim(getenv("REMOTE_ADDR"));
    if ($ppp_status != "aktiv" AND count_ppp_user($ppp_users) == 0) {
    #
    #
    #  Print out message that PPP connection is being activated.
    #
	print "<br><br><center>\n" . $MESSAGES["MSG_PPP_ACTIVATED"][$LANGUAGE] .
	      "<br>\n";
        @readfile("http://" . $HOSTNAME . "/cgi-bin/start-ppp");
	print "</center>\n";
    };
    if (insert_ppp_user($ppp_users,$ip)) {
    #
    #
    #  Print out message that your computer is inserted in the
    #  list of computers that need internet
    #
      print "<center>\n" . $MESSAGES["MSG_HOST_ADDED1"][$LANGUAGE]
	    . gethostbyaddr($ip) . " (" . $ip . ") " 
	    . $MESSAGES["MSG_HOST_ADDED2"][$LANGUAGE] . "<br>\n";
    }
    print "</center>\n";
    
   } elseif ($action == "stop") {
    $ip = trim(getenv("REMOTE_ADDR"));
    if (delete_ppp_user($ppp_users,$ip) > 0) {
    #
    #
    #  Print out message that your computer is removed from the
    #  list of computers that need internet
    #
      print "<center>\n" . $MESSAGES["MSG_HOST_REMOVED1"][$LANGUAGE]
	    . gethostbyaddr($ip) . " (" . $ip . ") " 
	    . $MESSAGES["MSG_HOST_REMOVED2"][$LANGUAGE]
	    . "<br>\n</center>\n";
    };
    # Check stale locks
    # to be implemented
    if ($ppp_status == "aktiv" and count_ppp_user($ppp_users) == 0) {
    #
    #
    #   Print out message that the PPP link is being terminated
    #
	print "<center>\n" .
	      "<br><br>" . $MESSAGES["MSG_PPP_CLOSED"][$LANGUAGE] .
              "<br>\n";
        @readfile("http://" . $HOSTNAME . "/cgi-bin/stop-ppp");
	print "</center>\n";
    } elseif (($num = count_ppp_user($ppp_users)) > 0) {
    #
    #
    #   Print out message that there are other computers using internet
    #   and thus the PPP connection is still kept up
    #
	print "<center>" . $MESSAGES["MSG_PPP_USED1"][$LANGUAGE] .
	      $num . $MESSAGES["MSG_PPP_USED2"][$LANGUAGE] .
	      "<br>\n";
    }
   } 
  </script>
  <br><br>
  <center>
  <table border=0 cellspacing=20>
   <tr>
    <td>
    <script language=PHP>
     	print "<a href=\"index.php4?action=start&lang=" . $LANGUAGE . "\">";
	if (count_ppp_user($ppp_users) == 0) {
     	   print $MESSAGES["MSG_NEED_PPP"][$LANGUAGE] . "</a>\n";
	} else {
	   print $MESSAGES["MSG_NEED_PPP_TOO"][$LANGUAGE] . "</a>\n";
	}
	# At the end, close DB again
        dbmclose($ppp_users);
    print "</td>\n" .
     "<td>\n" .
     "<a href=\"index.php4?lang=" . $LANGUAGE . "\">Refresh</a>\n" .
     "</td>\n" .
     "<td>\n" .
     "<a href=\"index.php4?action=stop&lang=" . $LANGUAGE . "\">" 
     . $MESSAGES["MSG_DONTNEED_PPP"][$LANGUAGE]
     . "</a>\n"
     . "</td>\n"
   . "</tr>\n"
  . "</table>\n"
  . "</center>\n"
. "</body>\n";
</script>
</html>
